1. Shotbow is now 1.8 compatible! It is recommended you play on Minecraft version 1.7.5 for the best experience, but you may join with any 1.7 or 1.8 client.

Bug Reports & Technical Support

Report here everything not working as intended and any issues you are having.

Sort by:
Title
Replies Views
Last Message ↓
  1. Goldblade51
    Replies:
    93
    Views:
    1,108
  2. AlecJames
    Replies:
    1
    Views:
    9,067
  3. Majicou
    Replies:
    4
    Views:
    10,230
  4. ChrisWoW
    Replies:
    2
    Views:
    4,666
  5. creeperingreen
    Replies:
    4
    Views:
    51
  6. White_C4
    Replies:
    1
    Views:
    22
  7. Temido2222
    Replies:
    0
    Views:
    9
  8. SheepiiHD
    Replies:
    2
    Views:
    18
  9. Dessy20
    Replies:
    0
    Views:
    17
  10. DaFunkPvP
    Replies:
    7
    Views:
    61
  11. IconByte
    Replies:
    0
    Views:
    19
  12. PvPbeastNL
    Replies:
    1
    Views:
    77
  13. Pletter
    Replies:
    1
    Views:
    37
  14. Armin__
    Replies:
    2
    Views:
    27
  15. _BornToBeWasted_
    Replies:
    0
    Views:
    21
  16. sekeens
    Replies:
    3
    Views:
    34
  17. ManuValverde
    Replies:
    0
    Views:
    21
  18. TiNY_DeViL
    Replies:
    0
    Views:
    30
  19. Bounter_Hunty
    Replies:
    3
    Views:
    47
  20. BenOfSeven
    Replies:
    6
    Views:
    94
  21. Chaospillager
    Replies:
    0
    Views:
    23
  22. asdfca
    Replies:
    0
    Views:
    29
  23. 323465963
    Replies:
    0
    Views:
    26
  24. _MoneyMonkey_
    Replies:
    1
    Views:
    74

Thread Display Options

Loading...